package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 缴费凭证信息对象 t_guiji_housingconstruction_yhjbxx
 *
 * @author lei
 * @date 2021-11-05
 */
public class TGuijiHousingconstructionJfpzxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String yhbh;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String yhmc;

    /** 用户地址 */
    @Excel(name = "用户地址")
    private String yhdz;

    /** 用水月份 */
    private String ysyf;

    /** 用水量 */
    private String ysl;

    /** 是否缴费 */
    @Excel(name = "是否缴费")
    private String sfjf;

    /** 缴费时间 */
    @Excel(name = "缴费时间")
    private String jfsj;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setYhbh(String yhbh)
    {
        this.yhbh = yhbh;
    }

    public String getYhbh()
    {
        return yhbh;
    }
    public void setYhmc(String yhmc)
    {
        this.yhmc = yhmc;
    }

    public String getYhmc()
    {
        return yhmc;
    }
    public void setYhdz(String yhdz)
    {
        this.yhdz = yhdz;
    }

    public String getYhdz()
    {
        return yhdz;
    }
    public void setYsyf(String ysyf)
    {
        this.ysyf = ysyf;
    }

    public String getYsyf()
    {
        return ysyf;
    }
    public void setYsl(String ysl)
    {
        this.ysl = ysl;
    }

    public String getYsl()
    {
        return ysl;
    }
    public void setSfjf(String sfjf)
    {
        this.sfjf = sfjf;
    }

    public String getSfjf()
    {
        return sfjf;
    }
    public void setJfsj(String jfsj)
    {
        this.jfsj = jfsj;
    }

    public String getJfsj()
    {
        return jfsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("yhbh", getYhbh())
            .append("yhmc", getYhmc())
            .append("yhdz", getYhdz())
            .append("ysyf", getYsyf())
            .append("ysl", getYsl())
            .append("sfjf", getSfjf())
            .append("jfsj", getJfsj())
            .toString();
    }
}
